Package com.norconex.commons.lang.xml

# Class NodeArrayList

java.lang.Object
java.util.AbstractCollection<Node>
java.util.AbstractList<Node>
java.util.ArrayList<Node>
com.norconex.commons.lang.xml.NodeArrayList

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Iterable<Node>`, `Collection<Node>`, `List<Node>`, `RandomAccess`, `SequencedCollection<Node>`, `NodeList`

public class NodeArrayList extends ArrayList<Node> implements NodeList
A null-safe wrapper around `NodeList` that is also an `ArrayList`.

Since:
  2.0.0
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class java.util.AbstractList

  `modCount`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NodeArrayList(Node node)`
  Creates a node ArrayList from the given Node children.
  `NodeArrayList(NodeList nodeList)`
  Creates a node ArrayList from the given NodeList.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getLength()`
  `Node`
  `item(int index)`

  ### Methods inherited from class java.util.ArrayList

  `add, add, addAll, addAll, addFirst, addLast, clear, clone, contains, ensureCapacity, equals, forEach, get, getFirst, getLast, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeFirst, removeIf, removeLast, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

  ### Methods inherited from class java.util.AbstractCollection

  `containsAll, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, stream, toArray`

  ### Methods inherited from interface java.util.List

  `containsAll, reversed`

- ## Constructor Details

  - ### NodeArrayList

    public NodeArrayList(NodeList nodeList)
    Creates a node ArrayList from the given NodeList. A `null` NodeList results in an empty NodeArrayList.
    Parameters:
      `nodeList` - a node list

  - ### NodeArrayList

    public NodeArrayList(Node node)
    Creates a node ArrayList from the given Node children. A `null` node or no children results in an empty NodeArrayList.
    Parameters:
      `node` - node to get the children list

- ## Method Details

  - ### item

    public Node item(int index)
    Specified by:
      `item` in interface `NodeList`

  - ### getLength

    public int getLength()
    Specified by:
      `getLength` in interface `NodeList`